Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Attribute Abfragen lassen?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Attribute Abfragen lassen? (1532 mal gelesen)
H-kan84
Mitglied
Konstrukteur Yachtinnenausbau


Sehen Sie sich das Profil von H-kan84 an!   Senden Sie eine Private Message an H-kan84  Schreiben Sie einen Gästebucheintrag für H-kan84

Beiträge: 253
Registriert: 28.07.2006

Lenovo SL500,winXP Sp3,AutoCAD Architecture 2010

erstellt am: 11. Mai. 2009 11:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi zusammen,

ich habe folgedes Problem:

Ein Block mit Attributen (ca.50 Stk/Unsichtbar) wird per Makro eingefügt und soll anschließend ausgefüllt werden.(Für Datenextraktion um ein Datenblatt zu erstellen)

Gibt es die Möglichkeit, eine Abfrage zu erstellen, die JA / Nein zur Auswahl hat zum anklicken?
und wenn ja zum nächsten Attribut springt?


Hat jmd einen Ansatz für mich?

Einen Excelspezialisten hätte ich hier der auch VBA kann.

Gruß

------------------
Aus technischen Gründen befindet sich die Signatur auf der Rückseite dieser Nachricht!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Proxy
Ehrenmitglied
Stateless-DHCP v6-Paketfragmentierer


Sehen Sie sich das Profil von Proxy an!   Senden Sie eine Private Message an Proxy  Schreiben Sie einen Gästebucheintrag für Proxy

Beiträge: 1627
Registriert: 13.11.2003

Tastaturen, Mäuse,
Pladden, ...,
AutoCADs 200X, SWX 2kX

erstellt am: 11. Mai. 2009 15:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für H-kan84 10 Unities + Antwort hilfreich

Wenn dann nur mit VBA bzw. DCL da die Logik speziell für dein Fall nachprogrammiert werden müsste.

------------------
MfG Proxy

Bitte beachten Sie: Die Verwendung der hier bereitgestellten Signatur geschieht auf Ihre eigene Verantwortung. Diese Signatur wird ohne Gewähr auf Richtigkeit, Vollständigkeit und/oder Funktionalität, sowie ohne Anspruch auf Support zur Verfügung gestellt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 11. Mai. 2009 15:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für H-kan84 10 Unities + Antwort hilfreich

OK, mal ein erster Ansatz....
Mit
Code:
(vla-eval (vlax-get-acad-object) "ThisDrawing.SetVariable \"USERI1\", MsgBox(\"Abfrage\", vbQuestion + vbYesNo)")
kannst Du in Lisp eine einfache Ja/Nein-Abfrage starten. Das Ergebnis steht dann in "useri1" und Du kannst entsprechend reagieren.

Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 12. Mai. 2009 08:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für H-kan84 10 Unities + Antwort hilfreich

... und eine kleine weitere Hilfestellung:
Code:
(defun c:ausfragen (/ att_val z att)
  (setq att_val '(
                  ("Kannst Du Lisp?" "Fachmann" "Anwender")
                  ("Bist Du müde?" "müde" "wach")
                  ("Hast Du Hunger?" "hungrig" "satt")
                  ("Hast Du Durst?" "durstig" "sitt, schmöll, stulln, gestillt, getränkt, oder wamp")
                  )
        z -1
  )
  (while (setq att (nth (setq z (1+ z)) att_val))
    (if (= (ask-vb-yes-no (car att)) 6)
      (prompt (strcat "Du bist " (cadr att)".\n"));Hier die Sachen bei JA
      (prompt (strcat "Du bist " (caddr att)".\n"));Hier die Sachen bei NEIN
    )
  )
)

;Aufruf der VBA-Dialogbox "MSGBOX"
;Rückgabe 6=Ja, 7=Nein
(defun ask-vb-yes-no (msg / old_useri1 ant)
  (setq old_useri1 (getvar "useri1"))
  (vla-eval (vlax-get-acad-object) (strcat "ThisDrawing.SetVariable \"USERI1\", MsgBox(\"" msg "\", vbQuestion + vbYesNo)"))
  (setq ant (getvar "useri1"))
  (setvar "useri1" old_useri1)
  ant
)



Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

H-kan84
Mitglied
Konstrukteur Yachtinnenausbau


Sehen Sie sich das Profil von H-kan84 an!   Senden Sie eine Private Message an H-kan84  Schreiben Sie einen Gästebucheintrag für H-kan84

Beiträge: 253
Registriert: 28.07.2006

erstellt am: 12. Mai. 2009 09:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Henning!

werde mich nun damit weiter beschäftigen.

Gruß

------------------
Aus technischen Gründen befindet sich die Signatur auf der Rückseite dieser Nachricht!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz